angular7.x 下安装 leaflet

0 投票

在angular7.x的环境下,使用https://www.npmjs.com/package/@supermap/iclient-leaflet中的安装方式

 npm install @supermap/iclient-leaflet

打包出现了这个错误:

后在http://iclient.supermap.io/web/introduction/leafletDevelop.html#Ready这个地方发现了这段话

请问这个在angular7.x中怎么配置?

2月 20 分类:  251次浏览 | 用户: kafei (1 分)

1个回答

0 投票
您好,建议您检查一下angular环境,我这边用7.x版本的angular 通过npm的方式引入的话是正常的,可能是您angular环境的问题。建议您重新配置下angular再引入leaflet包。
2月 20 用户: 于浩 名扬四海 (4,304 分)

我的就一个普通angular工程,引入了@supermap/iclient-leaflet 和 leaflet

加入了示例代码:

...